package com.stm.asset.page;

import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.Nullable;

import com.stm.asset.R;
import com.stm.asset.base.BaseActivity;

/**
 * 类名称：WelcomeActivity
 * 类描述：欢迎页
 * 创建人：story
 * 创建时间：2021-08-07 09:46
 */
public class WelcomeActivity extends BaseActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_welcome);
        new Thread(new Runnable() {
            @Override
            public void run() {
                try {
                    Thread.sleep(2000);
                    Intent intent = new Intent();
                    intent.setClass(WelcomeActivity.this, MainActivity.class);
                    WelcomeActivity.this.startActivity(intent);
                    WelcomeActivity.this.finish();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }).start();
    }
}
